local room = require('room')
local door = require('obj/door')
local key = require('item/key')

local r = room:new()

door:from{
    destination = "default",
    locked = true,
    code = 45100,
}
    :install(r, 40, 80)

key:from{ code = 45100 }
    :install(r, 180, 160)

return r
